/*
** CDateString.cpp
*/

#include "CDate.h"
#include "CDateString.h"

void CDateString::AddToken( const BString &name ) {
	if ( "day" == name ) {
		*this += CString( date->Day());
	} else if ( "mm" == name ) {
		*this += CString( date->Month());
	} else if ( "mon" == name ) {
		*this += CDate::months3[ date->Month() ];
	} else if ( "month" == name ) {
		*this += CDate::months[ date->Month() ];
	} else if ( "year" == name ) {
		*this += CString( date->Year());
	} else if ( "wd" == name ) {
		*this += CDate::weekdays2[ date->Weekday() ];
	} else if ( "wkd" == name ) {
		*this += CDate::weekdays3[ date->Weekday() ];
	} else if ( "weekday" == name ) {
		*this += CDate::weekdays[ date->Weekday() ];
	} else CString::AddToken( name );
}

CString &CDateString::Format( const CDate &date, const char *format ) {
	this->date = &date;
	if ( format == NULL ) format = "%day%.%month%.%year%";
	CString::Format( format );
	return *this;
}
