/*
** CTimeString.cpp
*/

#include "CTime.h"
#include "CTimeString.h"

void CTimeString::AddToken( const BString &name ) {
	if ( "days" == name ) {
		*this += CString( time->Day());
	} else if ( "hour12" == name ) {
		*this += CString( time->Hour() % 12 );
	} else if ( "hour24" == name ) {
		*this += CString( time->Hour() % 24 );
	} else if ( "hours" == name ) {
		*this += CString( time->Hour() + time->Day()*24 );
	} else if ( "minute" == name ) {
		*this += CString( time->Minute(), "%02ld" );
	} else if ( "second" == name ) {
		*this += CString( time->Second(), "%02ld" );
	} else if ( "ampm" == name ) {
		if (( time->Hour() %24 ) <=12 ) *this += "am"; else *this += "pm";
	} else CString::AddToken( name );
}

CString &CTimeString::Format( const CTime &time, const char *format ) {
	this->time = &time;
	if ( format == NULL ) format = "%hour24%:%minute%:%second%";
	CString::Format( format );
	return *this;
}
